import { NativeModulesProxy, EventEmitter, } from "expo-modules-core";
// Import the native module. On web, it will be resolved to ReactNativeOCR.web.ts
// and on native platforms to ReactNativeOCR.ts
import ReactNativeOCRModule from "./ReactNativeOCRModule";
import ReactNativeOCRView from "./ReactNativeOCRView";
// Get the native constant value.
export const PI = ReactNativeOCRModule.PI;
export function hello() {
    return ReactNativeOCRModule.hello();
}
export async function setValueAsync(value) {
    return await ReactNativeOCRModule.setValueAsync(value);
}
const emitter = new EventEmitter(ReactNativeOCRModule ?? NativeModulesProxy.ReactNativeOCR);
export function addChangeListener(listener) {
    return emitter.addListener("onChange", listener);
}
export { ReactNativeOCRView };
//# sourceMappingURL=index.js.map