import { requireNativeViewManager } from 'expo-modules-core';
import * as React from 'react';

import { ReactNativeOCRViewProps } from './ReactNativeOCR.types';

const NativeView: React.ComponentType<ReactNativeOCRViewProps> =
  requireNativeViewManager('ReactNativeOCR');

export default function ReactNativeOCRView(props: ReactNativeOCRViewProps) {
  return <NativeView {...props} />;
}
